Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom
Interface NameList

public interface NameList

The `NameList` interface provides the abstraction of an ordered collection of parallel pairs of name and namespace values, without defining or constraining how this collection is implemented. The items in the `NameList` are accessible via an integral index, starting from 0.

See also the Document Object Model (DOM) Level 3 Core Specification.

Since:
  DOM Level 3

Method Summary
`int` | `getLength()` The number of pairs (name and namespaceURI) in the list.
`java.lang.String` | `getName(int index)` Returns the `index`th name item in the collection.
`java.lang.String` | `getNamespaceURI(int index)` Returns the `index`th namespaceURI item in the collection.

Method Detail

### getName

    public java.lang.String getName(int index)
                             throws DOMException

  Returns the `index`th name item in the collection.
  Parameters:
    `index` - Index into the collection.
  Returns:
    The `DOMString` at the `index`th position in the `NameList`.
  Throws:
    `DOMException` - INDEX_SIZE_ERR: If `index` is greater than or equal to the number of nodes in the list.

### getNamespaceURI

    public java.lang.String getNamespaceURI(int index)
                                     throws DOMException

  Returns the `index`th namespaceURI item in the collection.
  Parameters:
    `index` - Index into the collection.
  Returns:
    The `DOMString` at the `index`th position in the `NameList`.
  Throws:
    `DOMException` - INDEX_SIZE_ERR: If `index` is greater than or equal to the number of nodes in the list.

### getLength

    public int getLength()

  The number of pairs (name and namespaceURI) in the list. The range of valid child node indices is 0 to `length-1` inclusive.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 W3C® (MIT, INRIA, Keio), All rights reserved.